<?php
/*<outscirt><version>20200929</version></outscirt>*/

function O__tagGet($O__path,$O__tagOpen,$O__tagClose,$O__tagInclude){
	global $O__signLog,$O__userID; 
	
	$O__dataTag = "";
	$O__tagCloseLength = strlen($O__tagClose);
	$O__data = O__dataRead($O__path);
	$O__dataTagStart = strpos($O__data,$O__tagOpen);
	
	if($O__dataTagStart){ // If embedded tag found
		$O__dataTagEnd = strpos($O__data,$O__tagClose);		
		$O__dataTag = substr($O__data,$O__dataTagStart,($O__dataTagEnd + $O__tagCloseLength - $O__dataTagStart));
	} else { // If embedded tag not found
		if ($O__signLog == 1){ O__logger("errors",$O__path,"Error",$O__userID,"O__tagGrab: Could not find tag."); }
	}
	
	return $O__dataTag;
}
?>
